### Hierarchy

- unknown
  - ArbitrationDisputeList

## Index

### Constructors

- constructor

### Methods

- addDispute
- clearDisputeList
- getDisputeList
- serializeBinary
- setDisputeList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ArbitrationDisputeList(): ArbitrationDisputeList

- Inherited from jspb.Message.constructor

  #### Returns ArbitrationDisputeList

## Methods

### addDispute

- addDispute(value?: Dispute, index?: number): Dispute

- - Defined in src/protobuf/pb_pb.d.ts:7353

  #### Parameters

  - ##### Optional value: Dispute

  - ##### Optional index: number

  #### Returns Dispute

### clearDisputeList

- clearDisputeList(): ArbitrationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7352

  #### Returns ArbitrationDisputeList

### getDisputeList

- getDisputeList(): Dispute []

- - Defined in src/protobuf/pb_pb.d.ts:7350

  #### Returns Dispute []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7355

  #### Returns Uint8Array

### setDisputeList

- setDisputeList(value: Dispute []): ArbitrationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7351

  #### Parameters

  - ##### value: Dispute []

  #### Returns ArbitrationDisputeList

### toObject

- toObject(includeInstance?: boolean): ArbitrationDisputeList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7356

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ArbitrationDisputeList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ArbitrationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7359

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ArbitrationDisputeList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ArbitrationDisputeList, reader: BinaryReader): ArbitrationDisputeList

- - Defined in src/protobuf/pb_pb.d.ts:7360

  #### Parameters

  - ##### message: ArbitrationDisputeList

  - ##### reader: BinaryReader

  #### Returns ArbitrationDisputeList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ArbitrationDisputeList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7358

  #### Parameters

  - ##### message: ArbitrationDisputeList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ArbitrationDisputeList ): ArbitrationDisputeList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7357

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ArbitrationDisputeList

  #### Returns ArbitrationDisputeList . AsObject

Generated using TypeDoc